:root {
  --main-red: #D70013;
  --main-red-light: #d7001231;
  --content-gap: 8rem;
  --inter-p-gap: 2rem;
}

body {
    font-size: 1.125rem;
    line-height: 1.6 !important;
	box-sizing: border-box;
	margin: 0;
    font-family: "Myriad Pro Light", Arial, sans-serif;
    /* background-color: black; */
    /* font-family: "Myriad Pro Semibold", Arial, sans-serif;
    font-family: "Myriad Pro Semibold", Arial, sans-serif;
    font-family: "Myriad Pro Semibold", Arial, sans-serif;
    font-family: "Myriad Pro Semibold", Arial, sans-serif;
    font-family: "Myriad Pro Semibold", Arial, sans-serif; */
}

.font-1rem {
    font-size: 1rem;
}

.font-semibold {
    font-family: "Myriad Pro Semibold", Arial, sans-serif;
}

body h2 { /* this is needed because tailwind adds a less specific reset of header styles */
    font-weight: bold;
    font-size: 1.5rem;
}

body h3 { /* this is needed because tailwind adds a less specific reset of header styles */
    font-weight: bold;
    font-size: 1.25rem;
}

.subpage-content h1 { /*FIXME where I use it is it not a duplication of h1>?*/
    color: var(--main-red);
    font-size: 3rem;
    text-align: left;
    margin-bottom: 1.5rem;
}

.subpage h2 { 
    color: var(--main-red);
    font-size: 2.25rem;
    text-align: left;
    margin-bottom: 1.5rem;
}

.subpage h3 { 
    color: var(--main-red);
    font-size: 1.875rem;
    text-align: left;
    margin-bottom: 1.25rem;
}

.subpage a {
    /* border-bottom-color: var(--main-red); */
    color: rgb(54, 54, 54);
    text-decoration-line: underline;
    text-decoration-style: dotted;
    text-decoration-style: solid;
    text-decoration-color: var(--main-red-light);
    text-decoration-thickness: 1px;
    text-underline-offset: 5px;
}

.link-to-subpage {
    margin-top: 0.125rem;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: start;
}

p {
    text-align: left;
    width: auto;
}

.link:hover {
    background-color: #ffffff;
    color: var(--main-red);
}




/* Top logo and red line */

.red-line-filler {
    background-size: contain;
    float:left;
    width: 100px; /*calc(100% - 392px);*/
    background-image: url('images/line-filler.png');
    background-repeat: repeat-x;
}

.lineage-img-height {
    /* margin: 10px 0; */
    margin-top: 8px;
    height: 45px;
}

.lineage-img {
    display: block;
    width: auto;
}

/* Navi bar */

.navi-elements {
    display: block;
    user-select: none;
    padding: 6px 14px 12px;
    font-size: 1rem;
    text-wrap: nowrap;
    letter-spacing: 1px;
}

.navi-active {
  color: var(--main-red);
}

.navi-elements:hover {
    background-color: #ffffff;
    color: var(--main-red);

    /* background-color: rgba(255, 235, 196, 0.252); */
}

.navi-container {
    display: flex;
    position: relative;
    flex-direction: column;
    overflow: visible;
    z-index: 1000;
    /* background-color: rgba(141, 216, 229, 0.35); */
    /* background-color: rgba(255, 255, 255, 0.35); */
    /* background-color: rgba(255, 255, 255, 1); */
    /* border-bottom-color: #d70012; */
    /* border-bottom-color: rgba(255, 235, 196, 0.2); */
    /* border-bottom-style: solid; */
    /* border-bottom-width: 0.8px; */
    box-shadow: rgba(0, 0, 0, 0.2) 0px 10px 10px 0px;
}

.navi-bar {
    z-index: 1000;
    backdrop-filter: blur(12px);
    /* position: fixed; */
    top: 0;
    /* mask-image: linear-gradient(to bottom, 
      black 70%, 
      transparent 100%); */
    /* background: rgba(255, 255, 255, 0.568); */

    /* color: rgb(255, 235, 196);
    background: rgba(0, 0, 0, 0.3);

    
    color: rgb(0, 0, 0);
    background: rgb(255, 255, 255); */


    /* color: rgb(0, 0, 0);
    background: rgba(255, 255, 255, 0.3); */

    /* padding: 10px 20px; */
    text-transform: uppercase;
}

.black-outline-text{
    color: white;
    text-shadow:
    -1px -1px 0 black,
        1px -1px 0 black,
    -1px  1px 0 black,
        1px  1px 0 black;
}

.red-line-bottom{
    position: relative;
    flex-grow: 1;
}

.red-line-bottom::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    height: 1px;
    background: var(--main-red);
    bottom: 8px; /* floating border */
}

.bg {
    position: fixed;
    inset: 0;
    z-index: -1;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    background-image: url("background.webp");
    /* background-attachment: fixed;
    background-position: center calc(50% + 200px); */
}

.subpage-title-container {
    position: absolute;
    /* background: rgba(32, 32, 32, 0.17); */
    top: 0;
    left: 0;
    right: 0;
    margin: 0;
    width: 100%;
    padding: 2.5rem 0px;
    transform: translateY(-100%);
    /* backdrop-filter: blur(1px); */
}

.subpage-title {
    /* color: rgba(241, 241, 241, 0.597); */
    color: white;
    font-size: 48px;
    letter-spacing: 3px;
    white-space: nowrap;
    font-family: "Myriad Pro Bold", Arial, sans-serif;
    text-shadow: 0 2px 6px rgba(0, 0, 0, 0.6);
}

.photo-header {
    /* color: rgba(241, 241, 241, 0.597); */
    color: white;
    font-size: 1.5rem;
    letter-spacing: 3px;
    white-space: nowrap;
    font-family: "Myriad Pro Bold", Arial, sans-serif;
    text-shadow: 0 2px 6px rgba(0, 0, 0, 0.6);
}

.subpage {
    position: relative;
    display: flex;
    flex-direction: column;
    letter-spacing: 1px;
}

.limit-width {
    width: 100%;
    max-width: 66rem;
    margin-left: auto;
    margin-right: auto;
    padding-left: 2rem;
    padding-right: 2rem;
}

.subpage-content {
    font-size: 1.5rem;
    /* background-color: rgb(255, 255, 255); */
    display: flex;
    flex-direction: column;
    margin-top: var(--content-gap);
    gap: var(--content-gap);
}

.footer-container {
    color: white;
    background-color: rgb(37, 37, 61);
    font-size: 0.875rem;
    padding: 48px 0px 28px;
    font-family: "Myriad Pro Light", Arial, sans-serif;
    letter-spacing: 2px;
}

.inline-icon {
  display: inline-block;
  /* width: 1em;
  height: 1em; */
  vertical-align: middle; /* or text-bottom / -0.125em tweak */
}



/* ------------------------ */
/* Hero image general style */
/* ------------------------ */

.hero_image_style {
    position: relative;
    height: 89dvh;
    width: 100%;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;

    /* padding-bottom: 10rem; */
    /* margin-bottom: 4rem; */
}

/* @media (max-width: 768px) {
  .hero_image_style {
    height: 35dvh;
    background-attachment: scroll;
  }
} */

.hero_image_style::after {
  content: "";
  position: absolute;
  inset: 0;
  pointer-events: none;

  background: linear-gradient(
    to top,
    rgba(0, 0, 0, 0.2) 0%,
    rgba(0, 0, 0, 0.15) 8%,
    rgba(0, 0, 0, 0.1) 15%,
    rgba(0, 0, 0, 0.03) 20%,
    rgba(0, 0, 0, 0) 25%
  );
}


/* ---------------------------- */
/* Hero images for each subpage */
/* ---------------------------- */

.parallax_hero_image{
    background-position: 50% 0%;
    background-image: url("images/osro_w.webp");
}


.parallax_hero_image_Lama_in_gompa_1{
    background-position: 50% 0%;
    background-image: url("images/Lama_in_gompa_1.webp");
}

.parallax_hero_image_Lama_in_gompa_2{
    background-position: 50% 0%;
    background-image: url("images/Lama_in_gompa_2.webp");
}


.parallax_hero_image_aktywnosc{
    background-position: 50% 0%;
    background-image: url("images/aktywnosc.webp");
}


.parallax_hero_image_winter{
    background-position: 50% 50%;
    background-image: url("images/osrodek_zima_szron.webp");
}

.parallax_hero_image_green_and_sunny_gompa{
    background-position: 50% 50%;
    background-image: url("images/green_and_sunny_gompa.webp");
}

.parallax_hero_image_night{
    /* background-position: 50% 50%; */
    background-position: left center;
    background-image: url("images/osro_at_night_big.webp");
    background-size: max(100vw, min(1000px, calc(100vw + 300px))) auto;
}



.parallax_hero_domek_altair{
    background-position: 50% -30%;
    background-image: url("images/domek_altair.webp");
    
    
}

.parallax_hero_image_stupa{
    position: relative;
    height: 89dvh;
    width: 100%;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 50% 50%;
    background-image: url("images/stupa.webp");
}

.parallax_hero_white_blank{
    background-image: url("images/white_bg.webp");
}

.parallax_hero_black_blank{
    background-image: url("images/black_bg.webp");
}

/* --------------------- */
/* Other parallax images */
/* --------------------- */

.parallax_footer {
    background-image: url("images/view1.webp");
    min-height: 250px;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.parallax_red_sunset {
    background-image: url("images/red_sunset.webp");
    min-height: 350px;
    background-attachment: fixed;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: cover;
}

.parallax_summer_sunset {
    background-image: url("images/pano_sunset_summer.webp");
    min-height: 350px;
    background-attachment: fixed;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: cover;
}

.parallax_info_channel {
    position: relative;
    background-image: url("images/info_channels_bg.webp");
    min-height: 340px;
    background-attachment: fixed;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: cover;
    overflow: hidden;
}

.parallax_info_channel_2 {
    position: relative;
    background-image: url("images/tlo_dla_newslettera_B.webp");
    min-height: 340px;
    background-attachment: fixed;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: cover;
    overflow: hidden;
}


.img-inset-shadow {
    box-shadow:
        inset 0 60px 60px -40px rgba(0,0,0,0.45),
        inset 0 -60px 60px -40px rgba(0,0,0,0.45);
}

.parallax_cloudy {
    background-image: url("images/pano_cloudy.webp");
    min-height: 350px;
    background-attachment: fixed;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: cover;
}

.parallax_winter_pano {
    background-image: url("images/winter_pano.webp");
    min-height: 350px;
    background-position: 50% 0%;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: contain;
}

.parallax_osro_and_roses {
    background-image: url("images/osro_and_roses.webp");
    min-height: 500px;
    /* max-width: 500px; */
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    /* opacity: 0.8; */
}

.paralax-padding {
    padding: 3rem 0;
}

.two-cols {
  display: grid;
  grid-template-columns: 1fr 1fr;  /* equal width */
  gap: 2rem;                       /* space between */
}

.map-iframe {
  height: 96dvh;
  width: 100%;
}

.dif-bg {
    background: #f0f0f0;
}

/* Facebook link style */
.facebook {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
}

.facebook svg {
  width: 28px;
  height: 28px;
  display: block;
  transition: transform 0.15s ease, opacity 0.15s ease;
}

.facebook:hover svg {
  transform: translateY(-1px);
  opacity: 0.9;
}

.facebook:focus-visible svg {
  outline: 2px solid currentColor;
  outline-offset: 3px;
  border-radius: 8px;
}

.stupa-bg {
    background-color: #171717;
    background-color: #ffffff;
}

.text-on-image {
    border: #171717;
    border-width: 1px;
    border-style: solid;
    background-color: #ffffffe1;
    padding: 3rem;
    margin: 3rem 0;
}

.map-section {
  position: relative;
}

.map-note {
    z-index: 0;
  position: absolute;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;

  font-size: 1rem;
  background: rgba(255, 255, 255, 0.6); /* optional subtle backdrop */
}

.collapsible-grid {
    display: grid;
    gap: 4rem;
    grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
    grid-auto-flow: dense;
}

.project-finished {
    font-style: italic;
    color: green;
}

.project-active {
    font-style: italic;
    color: rgb(0, 188, 0);
}

.project-starting {
    font-style: italic;
    color: rgb(255, 177, 31);
}